%define upstream_name       Devel-CheckOS
%define upstream_version 1.71

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Summary:    Check what OS we're running on
License:    GPL or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Compare) >= 1.210.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find::Rule) >= 0.280.0
BuildRequires: perl(File::Temp) >= 0.190.0
BuildRequires: perl(Test::More) >= 0.620.0
BuildArch:  noarch

%description
A learned sage once wrote on IRC:

   $^O is stupid and ugly, it wears its pants as a hat

Devel::CheckOS provides a more friendly interface to $^O, and also lets you
check for various OS "families" such as "Unix", which includes things like
Linux, Solaris, AIX etc.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc CHANGELOG META.json META.yml MYMETA.yml README TODO
%{_bindir}/use-devel-assertos
%{_mandir}/man1/use-devel-assertos.1*
%{_mandir}/man3/*
%{perl_vendorlib}/Devel

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.710.0-2.mga4
+ Revision: 526859
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1.710.0-1.mga4
+ Revision: 439011
- update to 1.71

* Sun Jan 13 2013 umeabot <umeabot> 1.700.0-2.mga3
+ Revision: 365695
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.700.0-1.mga3
+ Revision: 342052
- update to 1.7

* Wed Jun 15 2011 jquelin <jquelin> 1.640.0-1.mga2
+ Revision: 106799
- update to 1.64

* Mon Jan 24 2011 jquelin <jquelin> 1.630.0-1.mga1
+ Revision: 37040
- mageia rebuild
- imported package perl-Devel-CheckOS

